Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/13799/?format=api
{ "ob_id": 13799, "uuid": "ae5ee04d69064da7a27af30ee9f27c84", "title": "Total Ozone Mapping Spectrometer (TOMS): NIMBUS-7 reflectivity measurements (1978-1993) version 2", "abstract": "Data from the Total Ozone Mapping Spectrometer (TOMS), which used backscattered ultraviolet radiance to infer total column ozone measurements (gridded daily for the entire globe). This 2 CD-ROM set contains the latest version (version 7) of reflectivity data from the TOMS (Total Ozone Mapping\r\nSpectrometer) instrument onboard the Nimbus 7 spacecraft. Data covering the entire Nimbus 7 TOMS lifetime, November 1, 1978 through May 6, 1993, are given as daily files of gridded data, as zonal means, and as monthly averages.\r\n\r\nA similar CD-ROM set (OPT_004A and OPT_004B) containing TOMS total ozone values is also currently available. A CD-ROM of version 7 data from the Meteor 3 TOMS instrument (August 1991 - December 1994) will be produced soon.\r\n", "keywords": "ATMOSPHERICRADIATION ATMOSPHERE ATMOSPHERICCHEMISTRY", "publicationState": "published", "dataPublishedTime": "1996-12-10T02:16:33", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/13800/?format=api", "dataPath": "/badc/CDs/toms_CDs/nimbus7_toms_reflect_v2", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 495048748, "numberOfFiles": 7715, "fileFormat": "Data are ASCII formatted and images are GIF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/125/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21771/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22890/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25394/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/26002/?format=api" ], "dataLineage": "Data collected by NASA's Total Ozone Mapping Spectrometer (TOMS) and published on CD-ROM. A copy of the data were obtained by the BADC to assist in data access and to ensure long term preservation.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/456/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/453/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52847/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52846/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52845/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52844/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52849/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52850/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52851/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52852/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/52848/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/462/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }